<!doctype html>
<html lang="fr">
  <head prefix="og: http://ogp.me/ns#; article: http://ogp.me/ns/article#; dcterms: http://purl.org/dc/terms/#" >
    <meta charset="utf-8" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    
    <meta name="title" content="Schéma OWL2 pour le NoDEfr-1" />
    <meta name="description" content="Cette page présente le schéma OWL2 pour la partie 1 de la norme AFNOR NoDEfr." />  
    <meta name="Author" content="Nicolas Delestre" />  

    <meta property="og:title" content="Schéma OWL2 pour le NoDEfr-1"/>
    <meta property="og:type" content="article" />
    <meta property="og:locale" content="fr_FR" />
    <meta property="og:description" content="Cette page présente le schéma OWL2 pour la partie 1 de la norme AFNOR NoDEfr." />    
    <meta property="og:site_name" content="https://sourcesup.renater.fr/nodefr" />

    <meta property="article:author" content="Nicolas Delestre" />
    <meta property="article:published_time" content="2019-04" />

    <meta property="dcterms:title" content="Schéma OWL2 pour le NoDEfr-1" />
    <meta property="dcterms:description" content="Cette page présente le schéma OWL2 pour la partie 1 de la norme AFNOR NoDEfr." />
    <meta property="dcterms:language" content="fr" />
    <meta property="dcterms:format" content="text/html; charset=UTF-8" />

    <title>Schémas OWL2 pour le NoDEfr-1</title>
    <link rel="stylesheet" href="css/nodefr.css">
    <link rel="stylesheet" href="css/pure-min.css">
    <!--[if lte IE 8]>
        <link rel="stylesheet" href="css/layouts/side-menu-old-ie.css">
	<![endif]-->
    <!--[if gt IE 8]><!-->
        <link rel="stylesheet" href="css/layouts/side-menu.css">
	<!--<![endif]-->
  </head>
  <body> 
    <div id="layout">
      <!-- Menu toggle -->
      <a href="#menu" id="menuLink" class="menu-link">
        <span></span>
      </a>     
      <div id="menu">
        <div class="pure-menu">
          <a class="pure-menu-heading" href="index.html">NoDEfr</a>
	  
          <ul class="pure-menu-list">
            <li class="pure-menu-item  pure-menu-selected"><a href="nodefr1.html" class="pure-menu-link">NoDEfr-1</a></li>
            <li class="pure-menu-item"><a href="nodefr2.html" class="pure-menu-link">NoDEfr-2</a></li>
            <li class="pure-menu-item"><a href="nodefr3.html" class="pure-menu-link">NoDEfr-3</a></li>	    
          </ul>
        </div>
      </div>      
      <div id="main">
        <div class="header">
          <h1>Schéma OWL2 pour le NoDEfr-1</h1>
	  <h2>Norme de Descriptions pour l'Éducation en France - Partie 1</h2>
	</div>
	<div class="content">
	  <h3>Introduction</h3>
	  <p>La norme «&nbsp;Normalisation des descriptions pour
l’éducation en France – Partie 1&nbsp;: description des ressources&nbsp;»
dite «&nbsp;NoDEfr-1&nbsp;» est le profil d'application du MLR.  Cette norme a
vocation, à terme, à remplacer le LOMFR et ses deux profils
d'application que sont le ScoLOMFR (à destination des acteurs de
l'enseignement primaire et secondaire) et le SupLOMFR (à destination
	    des acteurs du supérieur).</p>
	  <h3>Approche</h3>
	  <p>Le MLR, dans sa partie 7, propose une représentation du MLR en OWL2.
	    Nous nous sommes donc fondés sur cette implantation (en l'important, <span class="uri">owl:imports</span>), pour définir le schéma OWL2 du NoDE-fr.</p>
	  <p>Toutefois nous avons effectué les ajouts et modifications suivantes&nbsp;:</p>
	  <ul>
	    <li>ajouter les classes et propriétés spécifiques au  NoDEfr-1&nbsp;;</li>
	    <li>redéfinir certaines classes du schéma initial de façon à prendre en compte les cardinalités définies par le NoDEfr-1&nbsp;;</li>
	    <li>privilégier l'utilisation des <span class="uri">owl:ObjectProperty</span> plutôt que les <span class="uri">owl:DatatypeProperty</span> ayant un <span class="motsAnglais">range</span> de type <span class="uri">xsd:anyURI</span> afin de favoriser les liaisons des données&nbsp;;</li>
	    <li> utiliser le schéma <a href="http://purl.org/co" target="_blank">The Collections Ontology (CO)</a> pour représenter des ensembles ou des listes ordonnées. En effet, il est important dans certains cas de pouvoir exprimer, pour un élément de données pouvant être présent plusieurs fois, un ordre sur les différentes valeurs possibles (par exemple les différents auteurs d'une ressource). L'utilisation des <span class="motsAnglais">containers</span> et des <span class="motsAnglais">collections</span>, telle que proposées par RDFS, ne répondent pas aux besoins. Il est à noter qu'à l'image du schéma de Wikidata, pour une propriété NoDEfr-1 qui représente une collection, deux propriétés OWL2 sont créées dans notre schéma. L'une permet d'accéder directement aux valeurs de la collection. Alors que l'autre permet d'accéder à ces valeurs par l'intermédiaire d'une instance d'une des classes proposée par le schéma Collection.</li>
	  </ul>
	  <h3>Schéma</h3>
	  <p>Le schéma est téléchargeable sur le serveur git de Renater : <a href="https://sourcesup.renater.fr/projects/nodefr/" target="_blank">https://sourcesup.renater.fr/projects/nodefr/</a>. De plus, nous avons généré une <a href="nodefr1-doc/index.html" target="_blank">documentation</a> à l'aide de l'outil <a href="https://github.com/essepuntato/LODE" target="_blank">LODE (Live OWL Documentation Environment)</a>.
        </div>
	<div class="clearfooter"></div>
      </div>
      <div class="footer">
	<p><em>Ce site a été réalisé à l'aide du framework purecss
	(<a href="http://purecss.io/" target="_bank">http://purecss.io</a>)</em>
      </div>
    </div>
    <script src="js/ui.js"></script>
  </body>
</html>
